package com.ruoyi.ems.domain;

import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 能源对象属性对象 adm_ems_obj_model
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class EmsObjModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 模型code */
    private String modelCode;

    /** 模型名称 */
    private String modelName;

    /** 对象类型 */
    private Integer objType;

    /** 对象能力处理 */
    private String abilityHandler;

    /** 对象事件处理 */
    private String eventHandler;

    private List<EmsObjAttr> attrList;

    private List<EmsObjAbility> abilityList;

    private List<EmsObjEvent> eventList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setModelCode(String modelCode) 
    {
        this.modelCode = modelCode;
    }

    public String getModelCode() 
    {
        return modelCode;
    }
    public void setModelName(String modelName) 
    {
        this.modelName = modelName;
    }

    public String getModelName() 
    {
        return modelName;
    }
    public void setObjType(Integer objType)
    {
        this.objType = objType;
    }

    public Integer getObjType()
    {
        return objType;
    }

    public String getAbilityHandler() {
        return abilityHandler;
    }

    public void setAbilityHandler(String abilityHandler) {
        this.abilityHandler = abilityHandler;
    }

    public String getEventHandler() {
        return eventHandler;
    }

    public void setEventHandler(String eventHandler) {
        this.eventHandler = eventHandler;
    }

    public List<EmsObjAttr> getAttrList() {
        return attrList;
    }

    public void setAttrList(List<EmsObjAttr> attrList) {
        this.attrList = attrList;
    }

    public List<EmsObjAbility> getAbilityList() {
        return abilityList;
    }

    public void setAbilityList(List<EmsObjAbility> abilityList) {
        this.abilityList = abilityList;
    }

    public List<EmsObjEvent> getEventList() {
        return eventList;
    }

    public void setEventList(List<EmsObjEvent> eventList) {
        this.eventList = eventList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modelCode", getModelCode())
            .append("modelName", getModelName())
            .append("objType", getObjType())
            .append("abilityHandler", getAbilityHandler())
            .append("eventHandler", getEventHandler())
            .toString();
    }
}
